ruby-rmagick_2.15.4-2build3_i386.deb


Advertisement

Description

ruby-rmagick - ImageMagick API for Ruby

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-rmagick
Package version: 2.15.4
Package release: 2build3
Package architecture: i386
Package type: deb
Installed size: 644 B
Download size: 163.40 KB
Official Mirror: archive.ubuntu.com
RMagick is an interface between the Ruby programming language and the ImageMagick image processing library.

Alternatives

    Download

    Source package: ruby-rmagick

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-rmagick deb package:
      # sudo apt-get install ruby-rmagick

    Files

    • /usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/RMagick2.so
    • /usr/lib/ruby/vendor_ruby/RMagick.rb
    • /usr/lib/ruby/vendor_ruby/rmagick.rb
    • /usr/lib/ruby/vendor_ruby/rmagick_internal.rb
    • /usr/lib/ruby/vendor_ruby/rmagick/version.rb
    • /usr/lib/ruby/vendor_ruby/rvg/clippath.rb
    • /usr/lib/ruby/vendor_ruby/rvg/container.rb
    • /usr/lib/ruby/vendor_ruby/rvg/deep_equal.rb
    • /usr/lib/ruby/vendor_ruby/rvg/describable.rb
    • /usr/lib/ruby/vendor_ruby/rvg/embellishable.rb
    • /usr/lib/ruby/vendor_ruby/rvg/misc.rb
    • /usr/lib/ruby/vendor_ruby/rvg/paint.rb
    • /usr/lib/ruby/vendor_ruby/rvg/pathdata.rb
    • /usr/lib/ruby/vendor_ruby/rvg/rvg.rb
    • /usr/lib/ruby/vendor_ruby/rvg/stretchable.rb
    • /usr/lib/ruby/vendor_ruby/rvg/stylable.rb
    • /usr/lib/ruby/vendor_ruby/rvg/text.rb
    • /usr/lib/ruby/vendor_ruby/rvg/transformable.rb
    • /usr/lib/ruby/vendor_ruby/rvg/units.rb
    • /usr/share/doc/ruby-rmagick/README.textile.gz
    • /usr/share/doc/ruby-rmagick/changelog.Debian.gz
    • /usr/share/doc/ruby-rmagick/copyright
    • /usr/share/rubygems-integration/2.3.0/specifications/rmagick-2.15.4.gemspec

    Changelog

    2016-03-14 - Matthias Klose <doko@ubuntu.com> ruby-rmagick (2.15.4-2build3) xenial; urgency=medium * No-change rebuild for ruby2.3-only support.

    2016-03-13 - Matthias Klose <doko@ubuntu.com> ruby-rmagick (2.15.4-2build2) xenial; urgency=medium * No-change rebuild to add ruby2.3 support.

    2016-01-21 - Matthias Klose <doko@ubuntu.com> ruby-rmagick (2.15.4-2build1) xenial; urgency=medium * No-change rebuild to drop ruby2.1 support.

    2015-08-29 - Antonio Terceiro <terceiro@debian.org> ruby-rmagick (2.15.4-2) unstable; urgency=medium * debian/rules: restrict documentation fixups to architecture-independent packages. Should fix FTBFS on all architectures.

    2015-08-25 - Antonio Terceiro <terceiro@debian.org> ruby-rmagick (2.15.4-1) unstable; urgency=medium * New upstream release * Update packaging with a new dh-make-ruby run * Patches: - buid-samples-unconditionally.diff: dropped, the package now has proper tests - relative_paths_on_examples: dropped, not needed anymore - disable-version-check.diff: dropped; replaced by 0001-Bypass-version-check.patch - fix_example_shebang.patch: dropped - force-security.patch: dropped, already applied upstream - extconf-use-pkg-config.patch: dropped, fixed upstream * install a compatibility wrapper for `require 'RMagick'`, which has been removed by upstream.

    2014-08-19 - Vincent Fourmond <fourmond@debian.org> ruby-rmagick (2.13.2-4) unstable; urgency=low * Replaces the calls to now-deprecated Magick-config by calls to pkg-config (closes: #758435)

    2014-01-31 - Cédric Boutillier <boutil@debian.org> ruby-rmagick (2.13.2-3) unstable; urgency=medium * Team upload * deactivate temporarily fail-on-doc-failure.patch, to allow as much errors as upstream when building the documentation and let the package build on i386 (Closes: #733723). * use dpkg-dev to export buildflags + bump dh compatibility to 9 + build-depend on dpkg-dev + export flags in debian/rules + remove preserve_flags.patch

    2014-01-15 - Cédric Boutillier <boutil@debian.org> ruby-rmagick (2.13.2-2) unstable; urgency=low * Team upload * Fix name of the new package in the description of transitional packages * Build against a newer gem2deb to remove ruby1.8 support * Kill transitional packages * Depend on ruby instead of ruby1.8 * Bump Standards-Version to 3.9.5 (no changes needed) * Fix shebangs for examples * debian/patches: - add debian/patches/format-security.patch: fixing format security errors - add debian/patches/preserve_flags.patch: preserve system build flags * Register documentation with doc-base

    2013-09-30 - Gunnar Wolf <gwolf@debian.org> ruby-rmagick (2.13.2-1) unstable; urgency=low * New upstream release

    2012-06-24 - Vincent Fourmond <fourmond@debian.org> ruby-rmagick (2.13.1-6) unstable; urgency=low * Rebuild with newer gem2deb * Conforms to standards 3.9.3 * Remove DM-Upload-Allowed, not needed anymore * Move transitional packages to priority: extra

    Advertisement
    Advertisement